| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
RTPSReliableReaderQos Class Reference

Qos Policy to configure the DisablePositiveACKsQos and the reader attributes. More...

`#include <RTPSReliableReaderQos.hpp>`

## Public Member Functions

FASTDDS_EXPORTED_API | RTPSReliableReaderQos ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~RTPSReliableReaderQos ()=default
| Destructor.
bool | operator== (const RTPSReliableReaderQos &b) const
void | clear ()

## Public Attributes

fastdds::rtps::ReaderTimes | times
| Times associated with the Reliable Readers events.
DisablePositiveACKsQosPolicy | disable_positive_acks
| Control the sending of positive ACKs.

## Detailed Description

Qos Policy to configure the DisablePositiveACKsQos and the reader attributes.

## Constructor & Destructor Documentation

## ◆ RTPSReliableReaderQos()

FASTDDS_EXPORTED_API RTPSReliableReaderQos | ( |  | ) |

inline

Constructor.

## ◆ ~RTPSReliableReaderQos()

virtual FASTDDS_EXPORTED_API ~RTPSReliableReaderQos | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |

inline

## ◆ operator==()

bool operator== | ( | const RTPSReliableReaderQos & | b | ) | const

inline

## Member Data Documentation

## ◆ disable_positive_acks

DisablePositiveACKsQosPolicy disable_positive_acks

Control the sending of positive ACKs.

## ◆ times

fastdds::rtps::ReaderTimes times

Times associated with the Reliable Readers events.

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/RTPSReliableReaderQos.hpp